package impl;

import interfaces.CapteurAsync;
import interfaces.ObserverdeCapteur;

import java.util.concurrent.Callable;

public class UpdateReq implements Callable<Void> {
    private CapteurAsync canalProxy;
    private ObserverdeCapteur afficheur;

    public UpdateReq(CapteurAsync canalProxy, ObserverdeCapteur afficheur) {
        this.canalProxy = canalProxy;
        this.afficheur = afficheur;
    }

    //AO1 - concrete MI
    @Override
    public Void call() {
        afficheur.update(canalProxy);
        return null;
    }
}